Subject: Re: [PATCH] t5528: do not fail with FreeBSD shell

From: Jeff King <[email-masked]>
Date: Mon, 9 Mar 2015 02:04:04 -0400

On Sun, Mar 08, 2015 at 10:19:20PM -0700, Kyle J. McKay wrote:

> >I am not convinced this isn't a violation of POSIX (which specifies that
> >field splitting is done on the results of parameter expansions outside
> >of double-quotes). But whether it is or not, we have to live with it.
> 
> That's not the only problem the shell has, t5560 had an issue, rebase had
> issues.  They've have been worked around.  It probably also affects related
> BSDs' shells as well (at least older versions that didn't change the shell).

Yeah, I hope that didn't come across as "bleh, this shell is not worth
supporting". It was "whether I think it is a bug or not, it is a real
problem and we must work around it".

> >For my own curiosity, what does:
> [...]

Thanks. Weird behavior, certainly, but I think the solution in your
patch is the right thing to do.

-Peff